function this = set_statevar( this, name, value )

% this = set_statevar( this, name, value )
%
% Makes possible to track the effect of variables which are not known
% by the target operation. If an interesting state variable is outside the
% target operation's scope, this method can be used to keep the stats
% object aware of the variable. (This scope problem results from the decision
% of keeping all stats start/stop -operations _inside_ the target function,
% so that the code doesn't get too cluttered.)


%  This file is a part of the Independent Variable Group Analysis package
% 
%  Copyright (C) 2001-2006 Esa Alhoniemi, Antti Honkela, Krista Lagus,
%  Jeremias Seppa, Harri Valpola, and Paul Wagner
% 
%  This program is free software; you can redistribute it and/or modify
%  it under the terms of the GNU General Public License as published by
%  the Free Software Foundation; either version 2, or (at your option)
%  any later version.
% 
%  This program is distributed in the hope that it will be useful,
%  but WITHOUT ANY WARRANTY; without even the implied warranty of
%  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%  GNU General Public License (included in file License.txt in the
%  program package) for more details.


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


if ~this.active, return; end

this.statevars = setfield( this.statevars, name, value );
return;
